FMCS.h File Reference
`#include <vector>`
`#include <string>`
`#include <stdexcept>`
`#include "../RDKitBase.h"`
`#include "Graph.h"`

Go to the source code of this file.

## Classes

struct | RDKit::MCSAtomCompareParameters
struct | RDKit::MCSBondCompareParameters
struct | RDKit::MCSProgressData
struct | RDKit::MCSParameters
struct | RDKit::MCSResult

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Macros

#define | RDKIT_WRAP_DECL

## Typedefs

typedef bool(* | RDKit::MCSFinalMatchCheckFunction) (const short unsigned c1[], const short unsigned c2[], const ROMol &mol1, const FMCS::Graph &query, const ROMol &mol2, const FMCS::Graph &target, const MCSParameters *p)
typedef bool(* | RDKit::MCSAtomCompareFunction) (const MCSAtomCompareParameters &p, const ROMol &mol1, unsigned int atom1, const ROMol &mol2, unsigned int atom2, void *userData)
typedef bool(* | RDKit::MCSBondCompareFunction) (const MCSBondCompareParameters &p, const ROMol &mol1, unsigned int bond1, const ROMol &mol2, unsigned int bond2, void *userData)
typedef bool(* | RDKit::MCSProgressCallback) (const MCSProgressData &stat, const MCSParameters &params, void *userData)

## Enumerations

enum | RDKit::AtomComparator { RDKit::AtomCompareAny, RDKit::AtomCompareElements, RDKit::AtomCompareIsotopes }
enum | RDKit::BondComparator { RDKit::BondCompareAny, RDKit::BondCompareOrder, RDKit::BondCompareOrderExact }

## Functions

RDKIT_WRAP_DECL bool | RDKit::MCSAtomCompareAny (const MCSAtomCompareParameters &p, const ROMol &mol1, unsigned int atom1, const ROMol &mol2, unsigned int atom2, void *userData)
RDKIT_WRAP_DECL bool | RDKit::MCSAtomCompareElements (const MCSAtomCompareParameters &p, const ROMol &mol1, unsigned int atom1, const ROMol &mol2, unsigned int atom2, void *userData)
RDKIT_WRAP_DECL bool | RDKit::MCSAtomCompareIsotopes (const MCSAtomCompareParameters &p, const ROMol &mol1, unsigned int atom1, const ROMol &mol2, unsigned int atom2, void *userData)
RDKIT_WRAP_DECL bool | RDKit::MCSBondCompareAny (const MCSBondCompareParameters &p, const ROMol &mol1, unsigned int bond1, const ROMol &mol2, unsigned int bond2, void *userData)
RDKIT_WRAP_DECL bool | RDKit::MCSBondCompareOrder (const MCSBondCompareParameters &p, const ROMol &mol1, unsigned int bond1, const ROMol &mol2, unsigned int bond2, void *userData)
RDKIT_WRAP_DECL bool | RDKit::MCSBondCompareOrderExact (const MCSBondCompareParameters &p, const ROMol &mol1, unsigned int bond1, const ROMol &mol2, unsigned int bond2, void *userData)
bool | RDKit::MCSProgressCallbackTimeout (const MCSProgressData &stat, const MCSParameters &params, void *userData)
void | RDKit::parseMCSParametersJSON (const char *json, MCSParameters *params)
MCSResult | RDKit::findMCS (const std::vector< ROMOL_SPTR > &mols, const MCSParameters *params=0)
MCSResult | RDKit::findMCS_P (const std::vector< ROMOL_SPTR > &mols, const char *params_json)
MCSResult | RDKit::findMCS (const std::vector< ROMOL_SPTR > &mols, bool maximizeBonds, double threshold=1.0, unsigned timeout=3600, bool verbose=false, bool matchValences=false, bool ringMatchesRingOnly=false, bool completeRingsOnly=false, bool matchChiralTag=false, AtomComparator atomComp=AtomCompareElements, BondComparator bondComp=BondCompareOrder)

## Macro Definition Documentation

## RDKIT_WRAP_DECL

#define RDKIT_WRAP_DECL

Definition at line 17 of file FMCS.h.